%define upstream_name    Signal-Info
%define upstream_version 0.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A wrapper around siginfo_t
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Signal/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Build) >= 0.1.0
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This holds a time specification, broken down into seconds and nanoseconds.
This is typically used by XS modules and not by pure-perl ones.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog
* Mon Mar 03 2025 tv <tv> 0.6.0-1.mga10
+ Revision: 2159298
- update to 0.006

* Fri Feb 28 2025 tv <tv> 0.5.0-1.mga10
+ Revision: 2153535
- update to 0.005

* Mon Feb 17 2025 tv <tv> 0.3.0-1.mga10
+ Revision: 2149187
- update to 0.003

* Sun Feb 09 2025 tv <tv> 0.2.0-1.mga10
+ Revision: 2146312
- imported package perl-Signal-Info

